Bug 174741 - www/drupal7 7.16 -> 7.18
www/drupal7 7.16 -> 7.18
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-27 14:10 UTC by info
Modified: 2013-01-26 19:10 UTC (History)
0 users

See Also:


Attachments
www-drupal7.patch (931 bytes, patch)
2012-12-27 14:10 UTC, info
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description info 2012-12-27 14:10:01 UTC
New release of Drupal7 fixing security vulnerabilities:
    	Access bypass (User module search - Drupal 6 and 7): CVE-2012-5651
    	Access bypass (Upload module - Drupal 6): CVE-2012-5652
 	Arbitrary PHP code execution (File upload modules - Drupal 6 and 7): CVE-2012-5653

	https://drupal.org/SA-CORE-2012-004

Fix: Apply the attached patch to bump the version
Comment 1 Edwin Groothuis freebsd_committer 2012-12-27 14:10:20 UTC
Maintainer of www/drupal7,

Please note that PR ports/174741 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174741

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-12-27 14:10:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 nick 2012-12-27 16:48:11 UTC
I'm not really in a position where I can continue as maintainer of the
drupal base packages any longer.  Can someone else take over?

Rik, can you arrange for a suitable entry to be added to the
/usr/ports/security/vuxml/vuln.xml file.

Also, drupal6 is affected by these security problems, and needs to upgraded
to 6.27, with appropriate entries in vuln.xml.
Comment 4 Chris Rees freebsd_committer 2013-01-26 16:46:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 5 Chris Rees freebsd_committer 2013-01-26 16:48:54 UTC
State Changed
From-To: feedback->closed

Fixed in r310718.
Comment 6 dfilter freebsd_committer 2013-01-26 19:06:45 UTC
Author: crees
Date: Sat Jan 26 19:06:31 2013
New Revision: 311043
URL: http://svnweb.freebsd.org/changeset/ports/311043

Log:
  Reassign several ports maintained by Nick Hilliard.  Thank you very much for
  all your work on these.
  
  All to ports@FreeBSD.org, except p5-Rcs-Agent to perl@ (almost certainly won't
  see any updates), and give drupal[67] to flo@.
  
  While here, update to OPTIONSng.
  
  PR:		ports/174741

Modified:
  head/databases/pear-Structures_DataGrid_DataSource_DB/Makefile
  head/devel/p5-Rcs-Agent/Makefile
  head/devel/pear-Structures_DataGrid_Renderer_Console/Makefile
  head/devel/pear-Structures_DataGrid_Renderer_HTMLSortForm/Makefile
  head/devel/pear-Structures_DataGrid_Renderer_HTMLTable/Makefile
  head/devel/pear-Structures_DataGrid_Renderer_XUL/Makefile
  head/www/drupal6-google_analytics/Makefile
  head/www/drupal6-menu_block/Makefile
  head/www/drupal6-nice_menus/Makefile
  head/www/drupal6-nodewords/Makefile
  head/www/drupal6-page_title/Makefile
  head/www/drupal6-path_redirect/Makefile
  head/www/drupal6-pathauto/Makefile
  head/www/drupal6-seo_checklist/Makefile
  head/www/drupal6-token/Makefile
  head/www/drupal6-webform/Makefile
  head/www/drupal6-wysiwyg/Makefile
  head/www/drupal6/Makefile
  head/www/drupal7-wysiwyg/Makefile
  head/www/drupal7/Makefile
  head/www/pear-Structures_DataGrid_Renderer_Flexy/Makefile
  head/www/pear-Structures_DataGrid_Renderer_Pager/Makefile
  head/www/pear-Structures_DataGrid_Renderer_Smarty/Makefile
  head/www/tinymce/Makefile

Modified: head/databases/pear-Structures_DataGrid_DataSource_DB/Makefile
==============================================================================
--- head/databases/pear-Structures_DataGrid_DataSource_DB/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/databases/pear-Structures_DataGrid_DataSource_DB/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,15 +1,11 @@
-# Ports collection makefile for:	pear-Structures_DataGrid_DataSource_DB
-# Date created:				26 Jun 2008
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Structures_DataGrid_DataSource_DB
 PORTVERSION=	0.1.1
 CATEGORIES=	databases www pear
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	DB datasource driver for pear-Structures_DataGrid
 
 BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear

Modified: head/devel/p5-Rcs-Agent/Makefile
==============================================================================
--- head/devel/p5-Rcs-Agent/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/devel/p5-Rcs-Agent/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	devel/p5-Rcs-Agent
-# Date created:				28 October 2002
-# Whom:					Anton Berezin <tobez@FreeBSD.org>
-#
+# Created by: Anton Berezin <tobez@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Rcs-Agent
 PORTVERSION=	1.05
@@ -11,7 +7,7 @@ CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	perl@FreeBSD.org
 COMMENT=	A perl module for RCS archive manipulation
 
 BUILD_DEPENDS=	p5-String-ShellQuote>1.00:${PORTSDIR}/textproc/p5-String-ShellQuote

Modified: head/devel/pear-Structures_DataGrid_Renderer_Console/Makefile
==============================================================================
--- head/devel/pear-Structures_DataGrid_Renderer_Console/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/devel/pear-Structures_DataGrid_Renderer_Console/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -9,7 +9,7 @@ PORTNAME=	Structures_DataGrid_Renderer_C
 PORTVERSION=	0.1.1
 CATEGORIES=	devel www pear
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Console_Table Renderer for pear-Structures_DataGrid
 
 BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear

Modified: head/devel/pear-Structures_DataGrid_Renderer_HTMLSortForm/Makefile
==============================================================================
--- head/devel/pear-Structures_DataGrid_Renderer_HTMLSortForm/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/devel/pear-Structures_DataGrid_Renderer_HTMLSortForm/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -9,7 +9,7 @@ PORTNAME=	Structures_DataGrid_Renderer_H
 PORTVERSION=	0.1.3
 CATEGORIES=	devel www pear
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	HTMLSortForm Renderer for pear-Structures_DataGrid
 
 BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear

Modified: head/devel/pear-Structures_DataGrid_Renderer_HTMLTable/Makefile
==============================================================================
--- head/devel/pear-Structures_DataGrid_Renderer_HTMLTable/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/devel/pear-Structures_DataGrid_Renderer_HTMLTable/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -9,7 +9,7 @@ PORTNAME=	Structures_DataGrid_Renderer_H
 PORTVERSION=	0.1.5
 CATEGORIES=	devel www pear
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	HTML_Table Renderer for pear-Structures_DataGrid
 
 BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear

Modified: head/devel/pear-Structures_DataGrid_Renderer_XUL/Makefile
==============================================================================
--- head/devel/pear-Structures_DataGrid_Renderer_XUL/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/devel/pear-Structures_DataGrid_Renderer_XUL/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -9,7 +9,7 @@ PORTNAME=	Structures_DataGrid_Renderer_X
 PORTVERSION=	0.1.3
 CATEGORIES=	devel www pear
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	XUL Renderer for pear-Structures_DataGrid
 
 BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear

Modified: head/www/drupal6-google_analytics/Makefile
==============================================================================
--- head/www/drupal6-google_analytics/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-google_analytics/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:	drupal6-google_analytics
-# Date created:				31 Mar 2007
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	google_analytics
 DISTVERSION=	6.x-2.2
 PORTREVISION=	1
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Adds the Google Analytics web stats tracking system to your website
 
 USE_DRUPAL=	yes

Modified: head/www/drupal6-menu_block/Makefile
==============================================================================
--- head/www/drupal6-menu_block/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-menu_block/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:	drupal6-menu_block
-# Date created:				2 May 2009
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	menu_block
 DISTVERSION=	6.x-2.2
 PORTREVISION=	1
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Drupal module to provide configurable menu tree blocks
 
 USE_DRUPAL=	yes

Modified: head/www/drupal6-nice_menus/Makefile
==============================================================================
--- head/www/drupal6-nice_menus/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-nice_menus/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:	drupal6-nice_menus
-# Date created:				20 October 2006
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	nice_menus
 DISTVERSION=	6.x-1.3
 PORTREVISION=	2
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	CSS / JavaScript pull-down menus for Drupal
 
 USE_DRUPAL=	yes

Modified: head/www/drupal6-nodewords/Makefile
==============================================================================
--- head/www/drupal6-nodewords/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-nodewords/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,15 +1,11 @@
-# New ports collection makefile for:	drupal6-nodewords
-# Date created:				08 Nov 2008
-# Whom:					Nick Hilliard <nick@netability.ie>
-#
+# Created by: Nick Hilliard <nick@netability.ie>
 # $FreeBSD$
-#
 
 PORTNAME=	nodewords
 DISTVERSION=	6.x-1.11
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A drupal module which allows the end-user to set meta tags for nodes
 
 USE_DRUPAL=	yes

Modified: head/www/drupal6-page_title/Makefile
==============================================================================
--- head/www/drupal6-page_title/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-page_title/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:	drupal6-page_title
-# Date created:				2 May 2009
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	page_title
 DISTVERSION=	6.x-2.3
 PORTREVISION=	1
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Drupal module to provide fine-grained control of page titles
 
 RUN_DEPENDS=	drupal6-token>=0:${PORTSDIR}/www/drupal6-token

Modified: head/www/drupal6-path_redirect/Makefile
==============================================================================
--- head/www/drupal6-path_redirect/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-path_redirect/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,15 +1,11 @@
-# New ports collection makefile for:	drupal6-path_redirect
-# Date created:				February 24, 2010
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	path_redirect
 DISTVERSION=	6.x-1.0-beta6
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Drupal module to allow redirects
 
 USE_DRUPAL=	yes

Modified: head/www/drupal6-pathauto/Makefile
==============================================================================
--- head/www/drupal6-pathauto/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-pathauto/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,15 +1,11 @@
-# New ports collection makefile for:	drupal6-pathauto
-# Date created:				2 May 2009
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	pathauto
 DISTVERSION=	6.x-1.4
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Automatically generates URLs for Drupal content
 
 RUN_DEPENDS=	drupal6-token>=0:${PORTSDIR}/www/drupal6-token

Modified: head/www/drupal6-seo_checklist/Makefile
==============================================================================
--- head/www/drupal6-seo_checklist/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-seo_checklist/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:	drupal6-seo_checklist
-# Date created:				2 May 2009
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	seo_checklist
 DISTVERSION=	6.x-2.0
 PORTREVISION=	1
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Drupal module to provide checklist of actions for SEO
 
 USE_DRUPAL=	yes

Modified: head/www/drupal6-token/Makefile
==============================================================================
--- head/www/drupal6-token/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-token/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:  drupal6-token
-# Date created:  11 February 2008
-# Whom:          Jeremy Iverson <jeremy@algenta.com>
-#
+# Created by: Jeremy Iverson <jeremy@algenta.com>
 # $FreeBSD$
-#
 
 PORTNAME=	token
 DISTVERSION=	6.x-1.12
 PORTREVISION=	1
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Token module for Drupal
 
 USE_DRUPAL=	yes

Modified: head/www/drupal6-webform/Makefile
==============================================================================
--- head/www/drupal6-webform/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-webform/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:	drupal6-webform
-# Date created:				2 June 2009
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	webform
 DISTVERSION=	6.x-3.17
 PORTREVISION=	1
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Drupal module to allow easy creation of forms
 
 USE_DRUPAL=	yes

Modified: head/www/drupal6-wysiwyg/Makefile
==============================================================================
--- head/www/drupal6-wysiwyg/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6-wysiwyg/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:	drupal6-wysiwyg
-# Date created:				2 June 2009
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	wysiwyg
 DISTVERSION=	6.x-2.0
 PORTREVISION=	1
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Allows implementation of WYSIWYG editors for editing Drupal content
 
 TINYMCEDIR=	www/tinymce

Modified: head/www/drupal6/Makefile
==============================================================================
--- head/www/drupal6/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal6/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	drupal6
-# Date Created: 			12 Feb 2007
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	drupal6
 PORTVERSION=	6.28
@@ -12,7 +8,7 @@ MASTER_SITES=	http://ftp.drupal.org/file
 DISTNAME=	drupal-${PORTVERSION}
 DIST_SUBDIR=	drupal
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	flo@FreeBSD.org
 COMMENT=	A database driven web content management system (CMS)
 
 USE_DRUPAL=	yes
@@ -22,9 +18,10 @@ USE_PHP=	gd pcre session xml mbstring
 IGNORE_WITH_PHP=4
 WANT_PHP_WEB=	yes
 
-OPTIONS+=	MYSQLI "MySQL Improved Extension database support" on \
-		MYSQL "MySQL database support" off \
-		PGSQL "PostgreSQL database support" off
+OPTIONS_DEFINE=	MYSQLI MYSQL PGSQL
+OPTIONS_DEFAULT=MYSQLI
+
+MYSQLI_DESC=	MySQL Improved Extension database
 
 NO_BUILD=	yes
 DOCS=		CHANGELOG.txt INSTALL.txt LICENSE.txt MAINTAINERS.txt \
@@ -33,15 +30,15 @@ DOCS=		CHANGELOG.txt INSTALL.txt LICENSE
 SUB_FILES+=	pkg-message
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if defined(WITH_MYSQL)
+.if ${PORT_OPTIONS:MMYSQL}
 USE_PHP+=	mysql
 .endif
-.if defined(WITH_MYSQLI)
+.if ${PORT_OPTIONS:MMYSQLI}
 USE_PHP+=	mysqli
 .endif
-.if defined(WITH_PGSQL)
+.if ${PORT_OPTIONS:MPGSQL}
 RUN_DEPENDS+=	${LOCALBASE}/share/pear/DB.php:${PORTSDIR}/databases/pear-DB
 USE_PHP+=	pgsql
 .endif
@@ -70,7 +67,7 @@ do-install:
 	${CP} ${WRKSRC}/xmlrpc.php ${DRUPAL_DIR}
 	${MKDIR} ${DRUPAL_DIR}/sites/all/modules ${DRUPAL_DIR}/sites/all/themes
 	${TOUCH} ${DRUPAL_DIR}/sites/all/modules/.keepme ${DRUPAL_DIR}/sites/all/themes/.keepme
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${CP} ${DOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
@@ -79,4 +76,4 @@ do-install:
 post-install:
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/www/drupal7-wysiwyg/Makefile
==============================================================================
--- head/www/drupal7-wysiwyg/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal7-wysiwyg/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,38 +1,36 @@
-# Ports collection makefile for:	drupal7-wysiwyg
-# Date created:				2 June 2009
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	wysiwyg
 DISTVERSION=	7.x-2.0
 CATEGORIES=	www
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Allows implementation of WYSIWYG editors for editing Drupal content
 
 #LICENSE from bsd.drupal.mk
 
 USE_DRUPAL=	yes
 
-OPTIONS=	TINYMCE3	"Install TinyMCE3 Editor" off \
-		CKEDITOR	"Install CKEditor" off \
-		YUI		"Install Yahoo UI Editor" off
+OPTIONS_DEFINE=	TINYMCE3 CKEDITOR YUI
+
+TINYMCE3_DESC=	Install TinyMCE3 Editor
+CKEDITOR_DESC=	Install CKEditor
+YUI_DESC=	Install Yahoo UI Editor
 
 .include <bsd.port.options.mk>
 
-.if defined(WITH_TINYMCE3)
+.if ${PORT_OPTIONS:MTINYMCE3}
 RUN_DEPENDS+=	${LOCALBASE}/www/tinymce:${PORTSDIR}/www/tinymce3
 PLIST_FILES+=	${DRUPAL_MODLIB}/tinymce
 .endif
 
-.if defined(WITH_CKEDITOR)
+.if ${PORT_OPTIONS:MCKEDITOR}
 RUN_DEPENDS+=	${LOCALBASE}/www/ckeditor:${PORTSDIR}/www/ckeditor
 PLIST_FILES+=	${DRUPAL_MODLIB}/ckeditor
 .endif
 
-.if defined(WITH_YUI)
+.if ${PORT_OPTIONS:MYUI}
 RUN_DEPENDS+=	${LOCALBASE}/www/yui:${PORTSDIR}/www/yahoo-ui
 PLIST_FILES+=	${DRUPAL_MODLIB}/yui
 .endif
@@ -103,13 +101,13 @@ MODULE_DIRS=	editors/css editors/js edit
 DOC_FILES=	CHANGELOG.txt README.txt LICENSE.txt
 
 post-install:
-.if defined(WITH_TINYMCE3)
+.if ${PORT_OPTIONS:MTINYMCE3}
 	${LN} -fs ${PREFIX}/www/tinymce ${PREFIX}/${DRUPAL_MODLIB}
 .endif
-.if defined(WITH_CKEDITOR)
+.if ${PORT_OPTIONS:MCKEDITOR}
 	${LN} -fs ${PREFIX}/www/CKEditor ${PREFIX}/${DRUPAL_MODLIB}/ckeditor
 .endif
-.if defined(WITH_YUI)
+.if ${PORT_OPTIONS:MYUI}
 	${LN} -fs ${PREFIX}/www/yahoo ${PREFIX}/${DRUPAL_MODLIB}/yui
 .endif
 

Modified: head/www/drupal7/Makefile
==============================================================================
--- head/www/drupal7/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/drupal7/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -8,7 +8,7 @@ MASTER_SITES=	http://ftp.drupal.org/file
 DISTNAME=	drupal-${PORTVERSION}
 DIST_SUBDIR=	drupal
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	flo@FreeBSD.org
 COMMENT=	Database driven web content management system (CMS)
 
 LICENSE=	GPLv2 GPLv3

Modified: head/www/pear-Structures_DataGrid_Renderer_Flexy/Makefile
==============================================================================
--- head/www/pear-Structures_DataGrid_Renderer_Flexy/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/pear-Structures_DataGrid_Renderer_Flexy/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,15 +1,11 @@
-# Ports collection makefile for:	pear-Structures_DataGrid_Renderer_Flexy
-# Date created:				26 Jun 2008
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Structures_DataGrid_Renderer_Flexy
 PORTVERSION=	0.1.3
 CATEGORIES=	www pear
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Renderer for pear-Structures_DataGrid using HTML_Template_Flexy
 
 BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear

Modified: head/www/pear-Structures_DataGrid_Renderer_Pager/Makefile
==============================================================================
--- head/www/pear-Structures_DataGrid_Renderer_Pager/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/pear-Structures_DataGrid_Renderer_Pager/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,15 +1,11 @@
-# Ports collection makefile for:	pear-Structures_DataGrid_Renderer_Pager
-# Date created:				26 Jun 2008
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Structures_DataGrid_Renderer_Pager
 PORTVERSION=	0.1.3
 CATEGORIES=	www pear
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Pager Renderer for pear-Structures_DataGrid
 
 BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear

Modified: head/www/pear-Structures_DataGrid_Renderer_Smarty/Makefile
==============================================================================
--- head/www/pear-Structures_DataGrid_Renderer_Smarty/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/pear-Structures_DataGrid_Renderer_Smarty/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,16 +1,12 @@
-# Ports collection makefile for:	pear-Structures_DataGrid_Renderer_Smarty
-# Date created:				26 Jun 2008
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Structures_DataGrid_Renderer_Smarty
 PORTVERSION=	0.1.4
 PORTREVISION=	1
 CATEGORIES=	www pear
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Smarty Renderer for pear-Structures_DataGrid
 
 BUILD_DEPENDS=	${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear

Modified: head/www/tinymce/Makefile
==============================================================================
--- head/www/tinymce/Makefile	Sat Jan 26 18:56:25 2013	(r311042)
+++ head/www/tinymce/Makefile	Sat Jan 26 19:06:31 2013	(r311043)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	tinymce
-# Date created:				26 Mar 2007
-# Whom:					Nick Hilliard <nick@foobar.org>
-#
+# Created by: Nick Hilliard <nick@foobar.org>
 # $FreeBSD$
-#
 
 PORTNAME=	tinymce
 PORTVERSION=	2.1.3
@@ -12,7 +8,7 @@ MASTER_SITES=	SF/${PORTNAME}/TinyMCE/${P
 DISTNAME=	tinymce_2_1_3
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	nick@foobar.org
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Open source JavaScript HTML WYSIWYG editor for web sites
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"